## org.codehaus.groovy.grails.orm.hibernate.support
Class HibernateBeanWrapper

    java.lang.Object
      org.springframework.beans.PropertyEditorRegistrySupport
          org.springframework.beans.AbstractPropertyAccessor
              org.springframework.beans.BeanWrapperImpl
                  org.codehaus.groovy.grails.orm.hibernate.support.HibernateBeanWrapper

All Implemented Interfaces:
  BeanWrapper, ConfigurablePropertyAccessor, PropertyAccessor, PropertyEditorRegistry, TypeConverter

    public class HibernateBeanWrapper

extends BeanWrapperImpl

BeanWrapper implementaion that will not lazy initialize entity properties.

Field Summary

Fields inherited from interface org.springframework.beans.PropertyAccessor
`NESTED_PROPERTY_SEPARATOR, NESTED_PROPERTY_SEPARATOR_CHAR, PROPERTY_KEY_PREFIX, PROPERTY_KEY_PREFIX_CHAR, PROPERTY_KEY_SUFFIX, PROPERTY_KEY_SUFFIX_CHAR`

Constructor Summary
`HibernateBeanWrapper()`
`HibernateBeanWrapper(boolean b)`
`HibernateBeanWrapper(Class aClass)`
`HibernateBeanWrapper(Object o)`
`HibernateBeanWrapper(Object o, String s, Object o1)`

Method Summary
`Object` `getPropertyValue(String name)` Checks Hibernate.isInitialized before calling super method.

Methods inherited from class org.springframework.beans.BeanWrapperImpl

`convertForProperty, convertIfNecessary, doTypeConversionIfNecessary, getBeanWrapperForPropertyPath, getNestedPath, getPropertyDescriptor, getPropertyDescriptorInternal, getPropertyDescriptors, getPropertyType, getRootClass, getRootInstance, getWrappedClass, getWrappedInstance, isReadableProperty, isWritableProperty, newNestedBeanWrapper, setIntrospectionClass, setPropertyValue, setPropertyValue, setWrappedInstance, setWrappedInstance, toString`

Methods inherited from class org.springframework.beans.AbstractPropertyAccessor
`convertIfNecessary, isExtractOldValueForEditor, setExtractOldValueForEditor, setPropertyValues, setPropertyValues, setPropertyValues, setPropertyValues`

Methods inherited from class org.springframework.beans.PropertyEditorRegistrySupport
`copyCustomEditorsTo, copyDefaultEditorsTo, findCustomEditor, getDefaultEditor, guessPropertyTypeFromEditors, hasCustomEditorForElement, isSharedEditor, registerCustomEditor, registerCustomEditor, registerDefaultEditors, registerSharedEditor, useConfigValueEditors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.beans.ConfigurablePropertyAccessor
`isExtractOldValueForEditor, setExtractOldValueForEditor`

Methods inherited from interface org.springframework.beans.PropertyAccessor
`setPropertyValues, setPropertyValues, setPropertyValues, setPropertyValues`

Methods inherited from interface org.springframework.beans.PropertyEditorRegistry
`findCustomEditor, registerCustomEditor, registerCustomEditor`

Methods inherited from interface org.springframework.beans.TypeConverter
`convertIfNecessary`

Constructor Detail

### HibernateBeanWrapper

    public HibernateBeanWrapper()

### HibernateBeanWrapper

    public HibernateBeanWrapper(boolean b)

### HibernateBeanWrapper

    public HibernateBeanWrapper(Object o)

### HibernateBeanWrapper

    public HibernateBeanWrapper(Class aClass)

### HibernateBeanWrapper

    public HibernateBeanWrapper(Object o,
                                String s,
                                Object o1)

Method Detail

### getPropertyValue

    public Object getPropertyValue(String name)
                            throws BeansException

  Checks Hibernate.isInitialized before calling super method.

  Specified by:
    `getPropertyValue` in interface `PropertyAccessor`
  Overrides:
    `getPropertyValue` in class `BeanWrapperImpl`
  Parameters:
    `name` - target property
  Returns:
    null if false or super'name value if true
  Throws:
    `BeansException`

Copyright (c) 2005-2009 The Grails project